Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.grape
[Groovy] Class GrapeIvy

    java.lang.Object
      groovy.grape.GrapeIvy

All Implemented Interfaces:
  GrapeEngine

    class GrapeIvy
    extends java.lang.Object

Authors:
  Danno Ferrin
  Paul King
  Roshan Dawrani (roshandawrani)

Property Summary
`static int` | `DEFAULT_DEPTH`
`java.util.Set` | `downloadedArtifacts`
`boolean` | `enableGrapes`
`java.util.Set` | `grabRecordsForCurrDependencies`
`org.apache.ivy.Ivy` | `ivyInstance`
`java.util.Map` | `loadedDeps`
`java.util.Set` | `resolvedDependencies`
`org.apache.ivy.core.settings.IvySettings` | `settings`

Constructor Summary
`GrapeIvy()`

Method Summary
`void` | `addResolver(java.util.Map args)`
`java.lang.Object` | `chooseClassLoader(java.util.Map args)`
`IvyGrabRecord` | `createGrabRecord(java.util.Map deps)`
`java.util.Map` | `enumerateGrapes()`
`org.apache.ivy.core.report.ResolveReport` | `getDependencies(java.util.Map args, IvyGrabRecord... grabRecords)`
`java.io.File` | `getGrapeCacheDir()`
`java.io.File` | `getGrapeDir()`
`java.io.File` | `getGroovyRoot()`
`java.io.File` | `getLocalGrapeConfig()`
`java.lang.Object` | `grab(java.lang.String endorsedModule)`
`java.lang.Object` | `grab(java.util.Map args)`
`java.lang.Object` | `grab(java.util.Map args, java.util.Map... dependencies)`
`java.util.Map[]` | `listDependencies(java.lang.ClassLoader classLoader)`
`void` | `processOtherServices(java.io.File f, java.lang.ClassLoader loader)`
`void` | `processRunners(java.io.InputStream is, java.lang.String name, java.lang.ClassLoader loader)`
`void` | `processSerializedCategoryMethods(java.io.InputStream is)`
`java.net.URI[]` | `resolve(java.util.Map args, java.util.Map... dependencies)`
`java.net.URI[]` | `resolve(java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)`
`java.net.URI[]` | `resolve(java.lang.ClassLoader loader, java.util.Map args, java.util.Map... dependencies)`
`java.net.URI[]` | `resolve(java.lang.ClassLoader loader, java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)`
`void` | `uninstallArtifact(java.lang.String group, java.lang.String module, java.lang.String rev)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### DEFAULT_DEPTH

    static final int DEFAULT_DEPTH

### downloadedArtifacts

    java.util.Set downloadedArtifacts

### enableGrapes

    boolean enableGrapes

### grabRecordsForCurrDependencies

    java.util.Set grabRecordsForCurrDependencies

### ivyInstance

    org.apache.ivy.Ivy ivyInstance

### loadedDeps

    java.util.Map loadedDeps

### resolvedDependencies

    java.util.Set resolvedDependencies

### settings

    org.apache.ivy.core.settings.IvySettings settings

Constructor Detail

### GrapeIvy

    GrapeIvy()

Method Detail

### addResolver

    void addResolver(java.util.Map args)

### chooseClassLoader

    java.lang.Object chooseClassLoader(java.util.Map args)

### createGrabRecord

    IvyGrabRecord createGrabRecord(java.util.Map deps)

### enumerateGrapes

    java.util.Map enumerateGrapes()

### getDependencies

    org.apache.ivy.core.report.ResolveReport getDependencies(java.util.Map args, IvyGrabRecord... grabRecords)

### getGrapeCacheDir

    java.io.File getGrapeCacheDir()

### getGrapeDir

    java.io.File getGrapeDir()

### getGroovyRoot

    java.io.File getGroovyRoot()

### getLocalGrapeConfig

    java.io.File getLocalGrapeConfig()

### grab

    java.lang.Object grab(java.lang.String endorsedModule)

### grab

    java.lang.Object grab(java.util.Map args)

### grab

    java.lang.Object grab(java.util.Map args, java.util.Map... dependencies)

### listDependencies

    java.util.Map[] listDependencies(java.lang.ClassLoader classLoader)

### processOtherServices

    void processOtherServices(java.io.File f, java.lang.ClassLoader loader)

### processRunners

    void processRunners(java.io.InputStream is, java.lang.String name, java.lang.ClassLoader loader)

### processSerializedCategoryMethods

    void processSerializedCategoryMethods(java.io.InputStream is)

### resolve

    java.net.URI[] resolve(java.util.Map args, java.util.Map... dependencies)

### resolve

    java.net.URI[] resolve(java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)

### resolve

    java.net.URI[] resolve(java.lang.ClassLoader loader, java.util.Map args, java.util.Map... dependencies)

### resolve

    java.net.URI[] resolve(java.lang.ClassLoader loader, java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)

### uninstallArtifact

    void uninstallArtifact(java.lang.String group, java.lang.String module, java.lang.String rev)

Groovy Documentation